Skip to main content
Clawise

List threads

GET
/api/v1/mail/threads

Lists threads for the inbox identified by email, newest first.

Optional filter: direction (inbound or outbound). Pagination via cursor and limit.

Query Parameters

email*string

Inbox email scope.

Formatemail
cursor?string

Pagination cursor returned in next_cursor of the previous response. Omit on first request.

limit?integer

Page size. Defaults to 20.

Default20
direction?string

Filter to threads containing only inbound or outbound messages.

Value in"inbound" | "outbound"

Response Body

application/json

curl -X GET "https://api.clawise.dev/api/v1/mail/threads?email=&cursor=&limit=20&direction=inbound"